'use strict';

class Audio {
    constructor() {
        this._sounds = new Map();
    }

    registerAudio(audioId, audio) {
        this._sounds.set(audioId, audio);
    }

    playAudio(audioId) {
        const sound = this._sounds.get(audioId);
        sound.currentTime = 0;
        sound.play();
    }
}
